{
  description = "My system flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

    nix-flatpak.url = "github:gmodena/nix-flatpak";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
  };

  outputs =
    inputs@{ self, nixpkgs, ... }:
    let
      hosts = {
        "work-ntb" = "x86_64-linux";
        "lenar" = "x86_64-linux";
      };
    in
    {
      # Please replace my-nixos with your hostname
      nixosConfigurations = nixpkgs.lib.genAttrs (builtins.attrNames hosts) (
        host:
        let
          arch = hosts.${host};
        in
        nixpkgs.lib.nixosSystem {
          system = arch;
          modules = [
            ./nixosModules
            ./hosts/${host}
            ./hosts/base
          ];
          specialArgs = {
            inherit inputs;
          };
        }
      );
      formatter.x86_64-linux = nixpkgs.legacyPackages.x86_64-linux.nixfmt-rfc-style;
    };
}
