{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.packages.misc;
in
{
  options.krop.hm.packages.misc = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my misc applications";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      spotify
      moonlight-qt
      jetbrains-mono
      mattermost-desktop
      gparted
      prismlauncher # REMOVE AND MOVE TO games module after refactoring
      joplin-desktop
      wireshark
    ];
  };
}
