{
  pkgs,
  inputs,
  ...
}:
{
  imports = [
    ./hardware-configuration.nix
    inputs.disko.nixosModules.disko
    inputs.nixos-hardware.nixosModules.common-cpu-intel
    ./disko.nix
  ];

  zramSwap.enable = true;
  boot.kernelPackages = pkgs.linuxPackages_latest;
  networking.hostName = "wenar-nix";

  # My own modules configuration
  krop = {
    audio = {
      enable = true;
    };
    ide = {
      enable = true;
      install-pycharm = true;
    };
    python = {
      enable = true;
      install-additional = true;
    };
    cli = {
      enable = true;
      install-k8s-tools = true;
      install-cloud-cli = true;
    };
    docker = {
      enable = true;
      changeDefaultNetwork = true;
    };
    de.gnome = {
      enable = true;
    };
  };

  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    extraSpecialArgs = {
      inherit inputs;
    };
    users = {
      "krop" = import ./home.nix;
    };
  };
}
